// Fragment Shader  file "water.frag"	

#version 330

//uniform float reflectivity;
//uniform sampler2D texture0;
uniform samplerCube environmentMap;

in vec4 viewPos;	//position
//in vec2 texCoord0;	//texture
in vec3 R;			//reflection

out vec4 fragColor;	//final color of fragment

void main(void) {
	vec4 reflectedColor = texture(environmentMap, R);
	//vec3 textureColor = texture(texture0, texCoord0.st).rgb;
	vec4 textureColor = vec4(0.5f, 0.5f, 0.5f, 1.0f);
	fragColor = mix(textureColor, reflectedColor, 0.85f);

	//first vector is the fog value from the water
	//fragColor = mix(vec4(0.8f, 0.799f, 0.896f, 1.0f), reflectedColor, 0.6);
}