// Vertex Shader  file "world_shader.vert"	

#version 330
 
 //Skybox

//geometry uniforms
uniform mat4 modelViewMatrix;

//camera uniforms
uniform mat4 projectionMatrix;

//per vertex attributes
in vec4 vertex;

//variables for fragment shader
out vec3 texCoord0;

void main(void)	{
	texCoord0 = normalize(vertex.xyz);

	gl_Position = projectionMatrix * modelViewMatrix * vertex;
}