// Fragment Shader  file "reflection.frag"

#version 330

//uniform float reflectivity;
uniform sampler2D texture0;
uniform samplerCube environmentMap;

in vec4 viewPos;	//position
in vec2 texCoord0;	//texture
in vec3 R;			//reflection

out vec4 fragColor;	//final color of fragment

void main(void) {
	vec4 reflectedColor = texture(environmentMap, R);
	//vec4 textureColor = vec4(texture(texture0, texCoord0.st).rgb, 1.0);
	vec4 textureColor = vec4(0.5f, 0.5f, 0.5f, 1.0f);

	//if (hasNormalMap > 0) {
		//vec3 bumpNormal = normalize(texture2D(normalMap, texCoord0.st).rgb * 2.0 - 1.0);
		//float bumpDiffuse = dot(bumpNormal, normalize(vec3(1.0, 1.0, 1.5)));
		//textureColor = textureColor * bumpDiffuse;
	//}

	fragColor = mix(textureColor, reflectedColor, 0.95f);
}