// Fragment Shader  file "world_shader.frag"

#version 330

#define MAX_FOG			0.6

 //Skybox

uniform samplerCube textureMap;

in vec3 texCoord0;

uniform vec4 fog_color;
uniform float fog_density;

out vec4 fragColor;

void main(void)	{
	fragColor = texture(textureMap, texCoord0);

	fragColor = mix(fog_color, fragColor, MAX_FOG);
}